## st-label st-label — Widget for displaying text |

## Functions

StWidget * | st_label_new ()
const gchar * | st_label_get_text ()
void | st_label_set_text ()
ClutterActor * | st_label_get_clutter_text ()

## Properties

ClutterText * | clutter-text | Read
gchar * | text | Read / Write

## Types and Values

#define | ST_TYPE_LABEL
struct | StLabel
| StLabelPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StLabel

## Implemented Interfaces

StLabel implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StLabel is a simple widget for displaying text. It derives from StWidget to add extra style and placement functionality over ClutterText. The internal ClutterText is publicly accessibly to allow applications to set further properties.

## Functions

### st_label_new ()

    StWidget *
    st_label_new (const gchar *text);

Create a new StLabel with the specified label

#### Parameters

text | text to set the label to |

#### Returns

a new StLabel

### st_label_get_text ()

    const gchar *
    st_label_get_text (StLabel *label);

Get the text displayed on the label

#### Parameters

label | a StLabel |

#### Returns

the text for the label. This must not be freed by the application

### st_label_set_text ()

    void
    st_label_set_text (StLabel *label,
                       const gchar *text);

Sets the text displayed on the label

#### Parameters

label | a StLabel |
text | text to set the label to |

### st_label_get_clutter_text ()

    ClutterActor *
    st_label_get_clutter_text (StLabel *label);

Retrieve the internal ClutterText so that extra parameters can be set

#### Parameters

label | a StLabel |

#### Returns

ethe ClutterText used by StLabel. The label is owned by the StLabel and should not be unref'ed by the application.

[transfer none]

## Types and Values

### ST_TYPE_LABEL

    #define ST_TYPE_LABEL                (st_label_get_type ())

### struct StLabel

    struct StLabel;

The contents of this structure is private and should only be accessed using the provided API.

### StLabelPrivate

    typedef struct _StLabelPrivate StLabelPrivate;

## Property Details

### The `“clutter-text”` property

      “clutter-text”             ClutterText *

Internal ClutterText actor.

Flags: Read

### The `“text”` property

      “text”                     gchar *

Text of the label.

Flags: Read / Write

Default value: NULL